Thanks for being willing to expand on this project.  For feature requests or bug reports, see the README.  The following is for code/patch submissions.

When submitting a patch, please keep to a similar indentation & coding style (tabstop to 4, 1TBS indentation, attention to doxygen comments in the header files).  I didn't use the C++ standard library in my coding to see if I could make the project work without it; don't feel constrained to the same.

You can 'make debug' and/or 'make doc' for debugging versions or doxygen-generated documentation (if you care about that sort of thing).  Submitted code should be free of any warnings on compilation and have no memory leaks as reported by 'valgrind --leak-check=full --show-possibly-lost=no'.

I can work with you on all of this to bring any code up to spec if you're feeling squeamish about contributing.  I'd rather have collaboration than crickets, so to speak.

You can submit pull requests through tildegit for review.  You must be willing to have all code become GPL licensed if accepted.
